;InnoSetupVersion=5.2.1

[Setup]
AppName=Windows7FirewallControl
AppVerName=Windows7FirewallControl Plus 3.0.3.21
AppId=Windows7FirewallControl
AppVersion=3.0.3.21
AppPublisher=Sphinx Software
AppPublisherURL=http://sphinx-soft.com
DefaultDirName={pf}\Windows7FirewallControl
DefaultGroupName=Windows7FirewallControl
UninstallDisplayIcon={app}\Windows7FirewallControl.exe
OutputBaseFilename=in
Compression=lzma
ArchitecturesInstallIn64BitMode=x64
LicenseFile=embedded\License.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\Windows7FirewallControl,1.exe"; DestDir: "{app}"; DestName: "Windows7FirewallControl.exe"; Check: "IsOtherArch"; BeforeInstall: "StopControl"; MinVersion: 0.0,6.0; Flags: restartreplace uninsrestartdelete ignoreversion 
Source: "{app}\Windows7FirewallService,1.exe"; DestDir: "{app}"; DestName: "Windows7FirewallService.exe"; Check: "IsOtherArch"; BeforeInstall: "StopService"; MinVersion: 0.0,6.0; Flags: restartreplace uninsrestartdelete ignoreversion 
Source: "{app}\Windows7FirewallControl,2.exe"; DestDir: "{app}"; DestName: "Windows7FirewallControl.exe"; Check: "IsX64"; BeforeInstall: "StopControl"; MinVersion: 0.0,6.0; Flags: restartreplace uninsrestartdelete ignoreversion 
Source: "{app}\Windows7FirewallService,2.exe"; DestDir: "{app}"; DestName: "Windows7FirewallService.exe"; Check: "IsX64"; BeforeInstall: "StopService"; MinVersion: 0.0,6.0; Flags: restartreplace uninsrestartdelete ignoreversion 
Source: "{app}\Windows7FirewallControl.chm"; DestDir: "{app}"; MinVersion: 0.0,6.0; Flags: ignoreversion 
Source: "{app}\appdetect.wav"; DestDir: "{app}"; MinVersion: 0.0,6.0; Flags: ignoreversion 
Source: "{app}\ExplMenu,1.dll"; DestDir: "{app}"; DestName: "ExplMenu.dll"; Check: "IsOtherArch"; MinVersion: 0.0,6.0; Flags: restartreplace regserver uninsrestartdelete ignoreversion 
Source: "{app}\ExplMenu,2.dll"; DestDir: "{app}"; DestName: "ExplMenu.dll"; Check: "IsX64"; MinVersion: 0.0,6.0; Flags: restartreplace regserver uninsrestartdelete ignoreversion 

[Registry]
Root: HKLM; Subkey: "SOFTWARE\\sphinx-soft"; MinVersion: 0.0,6.0; Flags: uninsdeletekeyifempty 
Root: HKLM; Subkey: "SOFTWARE\\sphinx-soft\\Vista-Wall"; MinVersion: 0.0,6.0; Flags: uninsdeletekey 
Root: HKCU; Subkey: "SOFTWARE\\sphinx-soft"; MinVersion: 0.0,6.0; Flags: uninsdeletekeyifempty 
Root: HKCU; Subkey: "SOFTWARE\\sphinx-soft\\Vista-Wall"; MinVersion: 0.0,6.0; Flags: uninsdeletekey 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows\CurrentVersion\Run"; ValueName: "Windows7FirewallControl"; ValueType: String; ValueData: "{app}\Windows7FirewallControl.exe"; MinVersion: 0.0,6.0; Flags: uninsdeletevalue 
Root: HKLM; Subkey: "SOFTWARE\\sphinx-soft\\Vista-Wall"; ValueName: "Autorun"; ValueType: Dword; ValueData: "$1"; MinVersion: 0.0,6.0; 

[INI]
FileName: "{app}\Windows7FirewallControl.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.sphinx-soft.com/Vista"; 
FileName: "{app}\License.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.sphinx-soft.com/Vista/order.html?from=Windows7FirewallControlPlus"; 
FileName: "{app}\More.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.sphinx-soft.com/Vista/order.html?from=Windows7FirewallControlPlus"; 

[Run]
Filename: "{app}\Windows7FirewallService.exe"; Parameters: "/Service"; WorkingDir: "{app}"; MinVersion: 0.0,6.0; 
Filename: "{app}\Windows7FirewallControl.exe"; WorkingDir: "{app}"; Description: "Run Windows7FirewallControl now"; MinVersion: 0.0,6.0; Flags: postinstall nowait

[UninstallRun]
Filename: "{app}\Windows7FirewallControl.exe"; Parameters: "stop"; WorkingDir: "{app}"; MinVersion: 0.0,6.0; 
Filename: "{app}\Windows7FirewallService.exe"; Parameters: "/Unregserver"; WorkingDir: "{app}"; MinVersion: 0.0,6.0; 

[Icons]
Name: "{group}\Get The License Now !"; Filename: "{app}\License.url"; MinVersion: 0.0,6.0; 
Name: "{group}\More..."; Filename: "{app}\More.url"; MinVersion: 0.0,6.0; 
Name: "{group}\Windows7FirewallControl"; Filename: "{app}\Windows7FirewallControl.exe"; MinVersion: 0.0,6.0; 
Name: "{group}\Help"; Filename: "{app}\Windows7FirewallControl.chm"; MinVersion: 0.0,6.0; 
Name: "{group}\Windows7FirewallControl on the Web"; Filename: "{app}\Windows7FirewallControl.url"; MinVersion: 0.0,6.0; 
Name: "{group}\Uninstall"; Filename: "{uninstallexe}"; MinVersion: 0.0,6.0; 

[InstallDelete]
Type: files; Name: "{pf}\VistaFirewallControl\*"; BeforeInstall: "RemovePrevVersion"; 

[UninstallDelete]
Type: files; Name: "{app}\*.url"; 
Type: files; Name: "{app}\*.log"; 

[CustomMessages]
default.NameAndVersion=%1 version %2
default.AdditionalIcons=Additional icons:
default.CreateDesktopIcon=Create a &desktop icon
default.CreateQuickLaunchIcon=Create a &Quick Launch icon
default.ProgramOnTheWeb=%1 on the Web
default.UninstallProgram=Uninstall %1
default.LaunchProgram=Launch %1
default.AssocFileExtension=&Associate %1 with the %2 file extension
default.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
